curl --request POST \
--url https://api.dub.co/program-applications/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerId": "<string>",
"rejectionNote": "<string>",
"reapplicationTimeframe": "standard",
"flagForFraud": true,
"flagForFraudReason": "<string>"
}
'import requests
url = "https://api.dub.co/program-applications/reject"
payload = {
"partnerId": "<string>",
"rejectionNote": "<string>",
"reapplicationTimeframe": "standard",
"flagForFraud": True,
"flagForFraudReason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partnerId: '<string>',
rejectionNote: '<string>',
reapplicationTimeframe: 'standard',
flagForFraud: true,
flagForFraudReason: '<string>'
})
};
fetch('https://api.dub.co/program-applications/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partnerId": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#internal-server_error"
}
}Reject a partner application
Reject a pending partner application to your program. The partner will be notified via email that their application was not approved.
Authorizations
Default authentication mechanism
Body
The ID of the partner to reject.
The reason for rejecting the partner application. This will be shared with the partner via email.
needsMoreDetail, doesNotMeetRequirements, notTheRightFit, other Additional details about the rejection. This will be shared with the partner via email.
500The mode for reapplying for the program. instant: The partner can reapply immediately. standard: The partner can reapply after 30 days. never: The partner can never reapply for the program. Defaults to standard if undefined.
instant, standard, never Whether to flag the partner for fraud review by the Dub team. Cannot be combined with reapplicationTimeframe: instant.
The reason for flagging the partner for fraud. Required when flagForFraud is true.
2000Response
The rejected partner
The ID of the rejected partner.
Was this page helpful?